/* \file ModuleBoot.cpp
 * \brief Carry out operations needed to boot, for example, petsc, MPI, plapack, etc ... 
 * at the beginning of a module
 */

#ifdef HAVE_CONFIG_H
	#include "config.h"
#else
#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

#include "../../toolkits/toolkits.h"

int my_rank;
int num_procs;

int ModuleBoot(void){
	
	/*Declare my_ rank and num_procs global variables!: */
	my_rank=0;
	num_procs=1;

	/*Initialize Petsc: */
	PetscInitializeNoArguments();

	return 1;
}
