md=mesh(model,'../Exp/Square.exp',100000);
md=geography(md,'all','');
md=parameterize(md,'../Par/SquareShelfConstrained.par');
md=setelementstype(md,'macayeal','all');
md=SetParallel(md,3);
md=extrude(md,3,1);
md.verbose=1;

pos=find(md.x<600000 & md.x>400000 & md.y<600000 & md.y>400000);
npos=length(pos);
md.spcvelocity(pos,1:6)=[1*ones(npos,1) 1*ones(npos,1) 0*ones(npos,1) 0*ones(npos,1) 0*ones(npos,1) 0*ones(npos,1) ];
md.cluster.np=2;
md=solve(md,'analysis_type',DiagnosticSolutionEnum);
md=tres(md,'diagnostic');

%Fields and tolerances to track changes
field_names     ={'Vx','Vy','Vel','Pressure'};
field_tolerances={1e-13,1e-13,1e-13,1e-13};
field_values={...
	PatchToVec(md.results.DiagnosticSolution.Vx),...
	PatchToVec(md.results.DiagnosticSolution.Vy),...
	PatchToVec(md.results.DiagnosticSolution.Vel),...
	PatchToVec(md.results.DiagnosticSolution.Pressure),...
	};
